accumulo-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From mmil...@apache.org
Subject [accumulo-testing] branch master updated: Add check for Test class to peformance script
Date Tue, 17 Sep 2019 20:27:28 GMT
This is an automated email from the ASF dual-hosted git repository.

mmiller pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/accumulo-testing.git


The following commit(s) were added to refs/heads/master by this push:
     new b5265db  Add check for Test class to peformance script
b5265db is described below

commit b5265db88acf3f05b21c9c20fbf13b3c369f6c68
Author: Mike Miller <mmiller@apache.org>
AuthorDate: Tue Sep 17 16:23:30 2019 -0400

    Add check for Test class to peformance script
---
 bin/performance | 12 ++++++++++++
 1 file changed, 12 insertions(+)

diff --git a/bin/performance b/bin/performance
index 6b5f25d..ea3b40e 100755
--- a/bin/performance
+++ b/bin/performance
@@ -66,6 +66,18 @@ case "$1" in
       print_usage
       exit 1
     fi
+    # don't start unless we can find the class provided
+    found=false
+    CLASSPATH="$CP" java -Dlog4j.configuration="file:$log4j_config" ${perf_pkg}.ListTests
| while read -r test_class; do
+      if [[ "$test_class" == "$3" ]]; then
+        found=true
+      fi
+    done
+    if [[ ! $found ]]; then
+      echo "ERROR: Did not find test class: $3"
+      print_usage
+      exit 1
+    fi
     mkdir -p "$2"
     start_cluster
     CLASSPATH="$CP" java -Dlog4j.configuration="file:$log4j_config" ${perf_pkg}.ListTests
| while read -r test_class; do


Mime
View raw message